function [ spl_map ] = makeSPLMap( sensor_data, step )
%funkce na vytvoreni krokovani po 1dB,2dB,3dB,6dB atd.
max_sensor_data=max(max(sensor_data));
spl_map=20*log10(sensor_data/max_sensor_data)
for k=1:128
    for i=1:128
        if spl_map(k,i)<=0 & spl_map(k,i)>-step;
            spl_map(k,i)=0;
        elseif spl_map(k,i)<=-step & spl_map(k,i)>-step*2;
            spl_map(k,i)=-step;    
        elseif spl_map(k,i)<=-step*2 & spl_map(k,i)>-step*3;
            spl_map(k,i)=-step*2; 
        elseif spl_map(k,i)<=-step*3 & spl_map(k,i)>-step*4;
            spl_map(k,i)=-step*3; 
        elseif spl_map(k,i)<=-step*4 & spl_map(k,i)>-step*5;
            spl_map(k,i)=-step*4; 
        elseif spl_map(k,i)<=-step*5 & spl_map(k,i)>-step*6;
            spl_map(k,i)=-step*5; 
        elseif spl_map(k,i)<=-step*6 & spl_map(k,i)>-step*7;
            spl_map(k,i)=-step*6;
        elseif spl_map(k,i)<=-step*7 & spl_map(k,i)>-step*8;
            spl_map(k,i)=-step*8; 
        elseif spl_map(k,i)<=-step*8 & spl_map(k,i)>-step*9;
            spl_map(k,i)=-step*9;
        elseif spl_map(k,i)<=-step*8 & spl_map(k,i)>-step*9;
            spl_map(k,i)=-step*9;
        elseif spl_map(k,i)<=-step*9 & spl_map(k,i)>-step*10;
            spl_map(k,i)=-step*10;
        elseif spl_map(k,i)<=-step*10 & spl_map(k,i)>-step*11;
            spl_map(k,i)=-step*11;
        elseif spl_map(k,i)<=-step*11 & spl_map(k,i)>-step*12;
            spl_map(k,i)=-step*12;
        else spl_map(k,i)=-step*13; 
            
        end 
    end
end

end

